org.apache.hadoop.hdfs.web

## Class ParamFilter

- java.lang.Object
- - org.apache.hadoop.hdfs.web.ParamFilter

- All Implemented Interfaces:
    com.sun.jersey.spi.container.ResourceFilter

      public class ParamFilter
      extends Object
      implements com.sun.jersey.spi.container.ResourceFilter

  A filter to change parameter names to lower cases so that parameter names are considered as case insensitive.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParamFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.sun.jersey.spi.container.ContainerRequestFilter` | `getRequestFilter()`
    `com.sun.jersey.spi.container.ContainerResponseFilter` | `getResponseFilter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParamFilter

          public ParamFilter()

  - ### Method Detail

    - #### getRequestFilter

          public com.sun.jersey.spi.container.ContainerRequestFilter getRequestFilter()

      Specified by:
        `getRequestFilter` in interface `com.sun.jersey.spi.container.ResourceFilter`

    - #### getResponseFilter

          public com.sun.jersey.spi.container.ContainerResponseFilter getResponseFilter()

      Specified by:
        `getResponseFilter` in interface `com.sun.jersey.spi.container.ResourceFilter`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.